GEN_NEW_ESTIMATOR(9)

NAME
gen_new_estimator - create a new rate estimator

SYNOPSIS

int gen_new_estimator(struct gnet_stats_basic_packed * bstats, struct gnet_stats_basic_cpu __percpu * cpu_bstats, struct gnet_stats_rate_est64 * rate_est, spinlock_t * stats_lock, struct nlattr * opt);

ARGUMENTS

bstats
    basic statistics

cpu_bstats
    -- undescribed --

rate_est
    rate estimator statistics

stats_lock
    statistics lock

opt
    rate estimator configuration TLV

DESCRIPTION

Creates a new rate estimator with bstats as source and rate_est as destination. A new timer with the interval specified in the configuration TLV is created. Upon each interval, the latest statistics will be read from bstats and the estimated rate will be stored in rate_est with the statistics lock grabbed during this period.

Returns 0 on success or a negative error code.

COPYRIGHT